Account Delegation Processes
Rolodex
/- Searches for contacts using predefined parameters
Creates a new contact record that does not already exist.
Execute Batch Operations
Checks whether a contact can manage another
Returns the contact related to the currently logged in user
Creates a new contact and links it to the currently logged in user
Get contacts (and descendants recursively) for an organization
Returns a list of records with the specified email_address
Returns a list of records with the specified email_address2
Returns a list of records with the specified email_address3
Finds all conflicting fields for contacts
Finds all conflicting fields for contacts
Returns a single contact by number
Finds contacts for an organization
Returns the contact related to the currently logged in user
Initiates a workflow to create a new contact and try to link them to an existing organization
Gets a contact by an email address
Sends an authorization email then links the current user to a contact with a different email address
Returns a list of records with the specified portal_delegate_id
Looks up a social profile and returns what is found to the user
Returns a contact from the system by its ID.
Returns a contact from the system by its ID.
Partially updates a contact with the specified ID.
Updates a contact with the specified ID.
Updates a contact with data merged from other contacts then signals other microservices to complete the merge
Searches for contacts usi...
Rolodex (Contacts & Organizations) (v1-2025-04-18)
The Contacts & Organizations, or Rolodex, app provides the Customer Relationship Management (CRM) capabilities of the Rhythm platform. Common integrations with the Rolodex API include finding or updating contact information, demographics, or communication preferences for a Contact or Organization.
Like most of the other Rhythm apps, the Rolodex API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1
https://rolodex.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/portalDelegate/{portal_delegate_id}
- https://rolodex.api.rhythmsoftware.com/contacts/{tenantId}/portalDelegate/{portal_delegate_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/portalDelegate/{portal_delegate_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/search
- https://rolodex.api.rhythmsoftware.com/contacts/{tenantId}/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"city": "string",
"contact_role_id": "string",
"country": "string",
"email_address": "string",
"first_name": "string",
"ids": [
"string"
],
"job_title": "string",
"last_name": "string",
"nickname": "string",
"number": [
0.1
],
"organization_id": [
"string"
],
"organization_name": "string",
"state": "string",
"status": [
"string"
]
}'Response
application/json
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }